<?php

namespace Litecms\OtherService\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Litecms\OtherService\Interfaces\OtherServicesRepositoryInterface;

class OtherServicesPublicController extends BaseController
{
    // use OtherServicesWorkflow;

    /**
     * Constructor.
     *
     * @param type \Litecms\OtherServices\Interfaces\OtherServicesRepositoryInterface $other_services
     *
     * @return type
     */
    public function __construct(OtherServicesRepositoryInterface $other_services)
    {
        $this->repository = $other_services;
        parent::__construct();
    }

    /**
     * Show other_services's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $other_services = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->title(trans('$other_service::$other_services.names'))
            ->view('$other_service::public.other_services.index')
            ->data(compact('$other_services'))
            ->output();
    }

    /**
     * Show other_services's list based on a type.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function list($type = null)
    {
        $other_services = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->title(trans('$other_service::$other_services.names'))
            ->view('$other_service::public.other_services.index')
            ->data(compact('$other_services'))
            ->output();
    }

    /**
     * Show other_services.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $other_services = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->title($$other_services->name . trans('$other_service::$other_services.name'))
            ->view('$other_service::public.other_services.show')
            ->data(compact('$other_services'))
            ->output();
    }

}
