<?php

namespace Litecms\OtherService\Providers;

use Litepie\Contracts\Workflow\Workflow as WorkflowContract;
use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * The validators mappings for the package.
     *
     * @var array
     */
    protected $validators = [
        
        // Bind OtherServices workflow validator
        'Litecms\OtherService\Models\OtherServices' => \Litecms\OtherService\Workflow\OtherServicesValidator::class,
    ];

    /**
     * The actions mappings for the package.
     *
     * @var array
     */
    protected $actions = [
        
        // Bind OtherServices workflow actions
        'Litecms\OtherService\Models\OtherServices' => \Litecms\OtherService\Workflow\OtherServicesAction::class,
    ];

    /**
     * The notifiers mappings for the package.
     *
     * @var array
     */
    protected $notifiers = [
       
        // Bind OtherServices workflow notifiers
        'Litecms\OtherService\Models\OtherServices' => \Litecms\OtherService\Workflow\OtherServicesNotifier::class,
    ];

    /**
     * Register any package workflow validation services.
     *
     * @param \Litepie\Contracts\Workflow\Workflow $workflow
     *
     * @return void
     */
    public function boot(WorkflowContract $workflow)
    {
        parent::registerValidators($workflow);
        parent::registerActions($workflow);
        parent::registerNotifiers($workflow);
    }
}
