<?php

namespace Litecms\OtherService\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class OtherServicesTransformer extends TransformerAbstract
{
    public function transform(\Litecms\OtherService\Models\OtherServices $other_services)
    {
        return [
            'id'                => $other_services->getRouteKey(),
            'key'               => [
                'public'    => $other_services->getPublicKey(),
                'route'     => $other_services->getRouteKey(),
            ], 
            'text'              => $other_services->text,
            'service'           => $other_services->service,
            'url'               => [
                'public'    => trans_url('other_service/'.$other_services->getPublicKey()),
                'user'      => guard_url('other_service/other_services/'.$other_services->getRouteKey()),
            ], 
            'status'            => trans('app.'.$other_services->status),
            'created_at'        => format_date($other_services->created_at),
            'updated_at'        => format_date($other_services->updated_at),
        ];
    }
}