<?php

namespace Litecms\OtherService\Workflow;

use Exception;
use Litepie\Workflow\Exceptions\WorkflowActionNotPerformedException;

use Litecms\OtherService\Models\OtherServices;

class OtherServicesAction
{
    /**
     * Perform the complete action.
     *
     * @param OtherServices $other_services
     *
     * @return OtherServices
     */
    public function complete(OtherServices $other_services)
    {
        try {
            $other_services->status = 'complete';
            return $other_services->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the verify action.
     *
     * @param OtherServices $other_services
     *
     * @return OtherServices
     */public function verify(OtherServices $other_services)
    {
        try {
            $other_services->status = 'verify';
            return $other_services->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the approve action.
     *
     * @param OtherServices $other_services
     *
     * @return OtherServices
     */public function approve(OtherServices $other_services)
    {
        try {
            $other_services->status = 'approve';
            return $other_services->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the publish action.
     *
     * @param OtherServices $other_services
     *
     * @return OtherServices
     */public function publish(OtherServices $other_services)
    {
        try {
            $other_services->status = 'publish';
            return $other_services->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the archive action.
     *
     * @param OtherServices $other_services
     *
     * @return OtherServices
     */
    public function archive(OtherServices $other_services)
    {
        try {
            $other_services->status = 'archive';
            return $other_services->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }

    /**
     * Perform the unpublish action.
     *
     * @param OtherServices $other_services
     *
     * @return OtherServices
     */
    public function unpublish(OtherServices $other_services)
    {
        try {
            $other_services->status = 'unpublish';
            return $other_services->save();
        } catch (Exception $e) {
            throw new WorkflowActionNotPerformedException();
        }
    }
}
