<?php

namespace Litecms\OtherService\Workflow;

use Litecms\OtherService\Models\OtherServices;
use Litecms\OtherService\Notifications\OtherServicesWorkflow as OtherServicesNotifyer;
use Notification;

class OtherServicesNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param OtherServices $other_services
     *
     * @return void
     */
    public function complete(OtherServices $other_services)
    {
        return Notification::send($other_services->user, new OtherServicesNotifyer($other_services, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param OtherServices $other_services
     *
     * @return void
     */
    public function verify(OtherServices $other_services)
    {
        return Notification::send($other_services->user, new OtherServicesNotifyer($other_services, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param OtherServices $other_services
     *
     * @return void
     */
    public function approve(OtherServices $other_services)
    {
        return Notification::send($other_services->user, new OtherServicesNotifyer($other_services, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param OtherServices $other_services
     *
     * @return void
     */
    public function publish(OtherServices $other_services)
    {
        return Notification::send($other_services->user, new OtherServicesNotifyer($other_services, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param OtherServices $other_services
     *
     * @return void
     */
    public function archive(OtherServices $other_services)
    {
        return Notification::send($other_services->user, new OtherServicesNotifyer($other_services, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param OtherServices $other_services
     *
     * @return void
     */
    public function unpublish(OtherServices $other_services)
    {
        return Notification::send($other_services->user, new OtherServicesNotifyer($other_services, 'unpublish'));;

    }
}
